blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
2e94054058115e5b22fae0c98353b4ef1dfd79d0
Shell
vglinca/Scripts-Bash-
/lab3/third
UTF-8
137
3.015625
3
[]
no_license
#!/bin/bash str="" echo -n "var = " read var str+=$var while [ "$var" != "v" ] do read var str+=$var done echo "variable is $str" exit 0
true
038d21c7c20941f8e4f6670811394756e5281fd6
Shell
mastarink/masbash
/bash/rc
UTF-8
1,016
3.15625
3
[]
no_license
function mas_term_new_bash__rc () { local wpid # see rc.d if ! [[ "$TERM" =~ ^(screen)(\..*|)$ ]] ; then unset STY MASPROMPT_STY WINDOW fi if [[ $- == *i* ]] ; then # Interactive shell if false && [[ "$MAS_CONF_DIR_TERM" ]] && [[ -x $MAS_CONF_DIR_TERM/trap/sigEXIT.sh ]] ; then trap $MAS_CONF_...
true
b5b9e9e54388e5e3f641ba984e36282f22d7c501
Shell
binmakeswell/oh-my-server
/scripts/nscc/multi_node/pbs_script/multinode-jupyter-non-dev.pbs
UTF-8
1,599
2.890625
3
[]
no_license
#!/bin/sh ## The following line specifies the resources request #PBS -l select=2:ncpus=5:ngpus=1,place=scatter ### Run in the shared test and development area ### Note that you do not have exclusive access to the GPUs in the dgx-dev queue #PBS -q dgx #PBS -l walltime=12:00:00 ### Specify project code ### e.g. 410000...
true
787ffdc633b6a51b36e889beb44ee64bb62ee289
Shell
wxyzjf/20210723_7
/RUN_EA_JOB.ksh
UTF-8
1,170
3.21875
3
[]
no_license
/opt/etl/output/RPT/Z_IDP_MAPR_UNLOAD> cat /home/adwbat/script/RUN_EA_JOB.ksh #!/usr/bin/ksh # # Touch a file in EA "Receive" Directory to Start an EA Job # # Input parameters: # 1. Job_Name # 2. Number of Days Before # . /opt/etl/prd/etl/etc/.pre_profile 2>&1 CURR_DATE=`date '+%Y%m%d'` LOG...
true
f6c8571f07db00afb4a01f27289f883e6c42b471
Shell
piza/pocketMoney
/shell/script/tasks/updateCode.sh
UTF-8
356
3.125
3
[]
no_license
#!/bin/bash basepath=$(cd `dirname $0`; pwd) . $basepath/include.sh [ $? -eq 0 ] || fail "env setup faild,check include.sh please." cd $GIT_REPO #git reset --hard origin/master >> $AUTODEPLOY_LOG_FILE git pull $GIT_PATH master >> $AUTODEPLOY_LOG_FILE log_s `git status` [ $? -eq 0 ] || fail "GIT updateCode faild: $?" ...
true
c67c110f41ee32da8a45fdc1358baf19a36fdc21
Shell
bleenco/bproxy
/3rdparty/openssl/openssl/test/tx509
UTF-8
2,075
2.90625
3
[ "OpenSSL", "MIT" ]
permissive
#!/bin/sh cmd='../util/shlib_wrap.sh ../apps/openssl x509' if [ "$1"x != "x" ]; then t=$1 else t=testx509.pem fi echo testing X509 conversions cp $t x509-fff.p echo "p -> d" $cmd -in x509-fff.p -inform p -outform d >x509-f.d if [ $? != 0 ]; then exit 1; fi echo "p -> n" $cmd -in x509-fff.p -inform p -outform n >x...
true
a70988862ba00d514c6f89c9d6a1509a332a6847
Shell
antoniomzrl/gitrepo3
/bin/myhadd.sh
UTF-8
137
2.59375
3
[]
no_license
#set -x fileout=$1 shift echo $* | tr ' ' '\n' > myhadd.tmp root -b -p -q .x ${LEPTSDIR}/macros/myhadd.cc'("'"$fileout myhadd.tmp"'")'
true
715e3ff108c8a5bfba343284f7d8ef4e9ef0337d
Shell
elexis-eu/elexifier-api
/start.sh
UTF-8
773
3.375
3
[]
no_license
#!/bin/bash DIR="/var/www/elexifier-api/migrations" if [ ! -d "$DIR" ]; then echo "Initializing database and migrating models" python /var/www/elexifier-api/manage.py db init && python /var/www/elexifier-api/manage.py db migrate && python /var/www/elexifier-api/manage.py db upgrade else echo "Migration fold...
true
0ec964a2c6c863b9928e60252f680e33cf6e15cb
Shell
Gullumluvl/tracklistsync
/mymusicsync.sh
UTF-8
497
3.171875
3
[]
no_license
#!/bin/bash set -euo pipefail IFS=$'\t\n' playlist=$1 srcdir1="/media/$USER/ZALG0006/Musique/Music/" srcdir1_regex="file\:///media/$USER/ZALG0006/Musique/Music/" destdir="/media/$USER/WALKMAN/MUSIC/" set +e rsync -PRaOvh \ --ignore-existing \ --no-implied-dirs \ --delete-before \ --files-from=<(urld...
true
2f53a6417296c5a2f23f1b1c29507e836bf5c4a7
Shell
weaveworks/wksctl
/tools/embedmd.sh
UTF-8
91
2.734375
3
[ "Apache-2.0", "LGPL-3.0-only", "LGPL-2.0-or-later" ]
permissive
#!/bin/sh -e for f in "$@"; do echo "embedmd: generating $f" embedmd -w "$f" done
true
24ec41cf72c96ff189c57f907262164edd10bf46
Shell
jamesceri/travis_test
/buildit.sh
UTF-8
4,337
3.53125
4
[]
no_license
#!/bin/bash function setup_toolchain() { echo "##############################" echo "#### Setting up toolchain ####" echo "##############################" mkdir -p rpi pushd rpi # git clone git://github.com/raspberrypi/tools.git if [ ! -f "gcc-linaro-arm-linux-gnueabihf-raspbian-x64.tar.gz" ...
true
fe5dd25591739466eaf639cde8e61e3315f77a2a
Shell
mariancerny/us-czech-keyboard-layout
/install.sh
UTF-8
757
3.3125
3
[]
no_license
#!/bin/sh BASEDIR=$( cd `dirname $0` ; pwd ) cd $BASEDIR set -ex sudo cp -R U.S.-Czech.bundle/ /Library/Keyboard\ Layouts/U.S.-Czech.bundle/ sudo touch /Library/Keyboard\ Layouts { set +x; } 2>/dev/null echo "" echo " Now go to System Preferences > Keyboard > Input Sources and add the" echo " U.S. - Czech layout...
true
c55d1c7b9a58a3da1516aadf5cc6e53c3e0328e5
Shell
and-gorbik/http-server
/test.sh
UTF-8
477
2.515625
3
[]
no_license
#!/bin/sh mkdir ./test perl server.pl -h 127.0.0.1 -p 11111 -d ./test & cd test echo "hello file1" > file1 echo "hello file2" > file2 cd - curl http://127.0.0.1:11111/file1 curl http://127.0.0.1:11111/file2 curl http://127.0.0.1:11111 dd if=/dev/urandom of=file.txt count=50 bs=1048576 curl -T 'file.txt' http://127.0....
true
ea8d381cc5b60365d75bbf3eefbb0d91bf1d1edf
Shell
eabderh/shellscripts
/ssh/sshchangekey.sh
UTF-8
486
3.75
4
[]
no_license
#!/bin/bash # changes the ssh private key to one located in the ~/.ssh folder. # assumes that all key pairs, private and public, are stored in # subdirectories named with a descriptive and corresponding name. # check for arguments if [ $# -lt 1 ]; then echo false usage exit 1 fi # check if ssh agent has been start...
true
7060e4515385b5558fdce7b3aeaa8ec88afec015
Shell
lxc/incus
/scripts/empty-incus.sh
UTF-8
2,341
3.578125
4
[ "Apache-2.0" ]
permissive
#!/bin/sh -eu if ! command -v jq >/dev/null 2>&1; then echo "This tool requires: jq" exit 1 fi ## Delete anything that's tied to a project for project in $(lxc query "/1.0/projects?recursion=1" | jq .[].name -r); do echo "==> Deleting all containers for project: ${project}" for container in $(lxc query...
true
0a17f756cb8f3cc47c01155a7c56ec373b13def8
Shell
sumalikapotula/Assignment
/readNum.sh
UTF-8
804
3.5
4
[]
no_license
#! /bin/bash echo -n "Enter number : " read n len=$(echo $n | wc -c) len=$(( $len - 1 )) echo "Your number $n in words : " for (( i=1; i<=$len; i++ )) do digit=$(echo $n | cut -c $i) if [ $digit -eq 0 ] then echo "zero" elif [ $digit -eq 1 ] then echo "one" elif [ $digit -eq 2 ] ...
true
2a6f11dafd8d4313da68603a5dcc2c6103501680
Shell
Apicurio/apicurio-registry
/.github/scripts/verify-docker-release.sh
UTF-8
3,682
4.3125
4
[ "Apache-2.0" ]
permissive
#!/bin/bash ############################################################################################################################################################################################# ## Description: The script helps in verifying two things:- ...
true
1a36606c8f766272108d7b30437ad68852e87964
Shell
eskin/gentoo
/setup.sh
UTF-8
807
3.09375
3
[]
no_license
#!/usr/bin/env bash read -p 'Are you sure? This will replace make.conf and some other files in /etc/portage/ (y/n)' -n 1 -r if [[ ! $REPLY =~ ^[Yy]$ ]] then echo 'user cancelled' exit 1 fi rm -fr /etc/portage/package.keywords rm -fr /etc/portage/package.mask rm -fr /etc/portage/package.unmask rm -fr /etc/por...
true
4434361c05f40c5f36c53ddfd818a23d12667ac0
Shell
jaapkroe/histogram-and-DOS
/histogram
UTF-8
3,872
3.65625
4
[]
no_license
#!/bin/bash x=1 z=0 v=0 FS=" " usage="histogram <options> filename options: -x <int> column for data (default=$x) -y <int> column for weight (not used by default) -s <int> skip n lines -e <int> every n lines -f <int> stop at line number n -F <str> set field separator (default FS=\"$FS\"...
true
6021a18dbeb90b7b136d255395a9af627e00645e
Shell
pacew/psite
/aboot
UTF-8
1,336
3.40625
3
[ "Apache-2.0" ]
permissive
#! /bin/bash # this script runs only on the very first boot # will be visible at # curl http://169.254.169.254/latest/user-data # will run from /var/lib/cloud/instances/instance-id/ # output will go to /var/log/cloud-init-output.log exec > /tmp/aboot.out 2>&1 set -x date if [ "x$ABOOT_HOSTNAME" != "x" ] then ...
true
4ca13fedc64d785c4567b859ca6003c806203e1c
Shell
rflynn/sql-examples
/run-sql-server-docker.sh
UTF-8
1,226
2.9375
3
[]
no_license
#!/bin/bash -ex # ref: https://docs.microsoft.com/en-us/sql/linux/quickstart-install-connect-docker # ensure we have sql server 2017 or pull it docker images microsoft/mssql-server-linux:2017-latest >/dev/null || \ docker pull microsoft/mssql-server-linux:2017-latest # ensure image running or run it docker ps --...
true
a127dd597fb752b9250072fcdc1370d37f75b9f4
Shell
peux-os-sic/Peux-Xmonad
/rofi/leave/powermenu.sh
UTF-8
2,313
3.234375
3
[]
no_license
#!/usr/bin/env bash ## Credits to @adi1090x ## changes made by DN-debug dir="$HOME/.config/rofi/leave" rofi_command="rofi -theme $dir/logMenu.rasi" # Options shutdown="" reboot="" lock="" suspend="" hibernate="" logout="" # Confirmation confirm_exit() { rofi -dmenu\ -i\ -no-fixed-num-lines\ -p "Are You...
true
fc7c8fd6a169b81a330edfe3dd1ad8ac71d0d91e
Shell
syreddy001/web_page_counter
/scripts/install_consul.sh
UTF-8
4,892
3.4375
3
[ "MIT" ]
permissive
#!/usr/bin/env bash generate_certificate_config () { if [ ! -d /${ROOTCERTPATH}/consul.d ]; then sudo mkdir --parents /${ROOTCERTPATH}/consul.d fi sudo tee /${ROOTCERTPATH}/consul.d/consul_ssl_setup.hcl <<EOF datacenter = "hashistack1" data_dir = "/usr/local/consul" encrypt = "${ConsulKeygenOutput}" log_le...
true
f0644282e9c9aae1b39a2ef3ac162936772e4254
Shell
fabiangabel/caffa_scripts
/prepare.sh
UTF-8
241
2.765625
3
[]
no_license
#! /bin/bash res=128 nblk=128 for i in 1 2 4 8 16 32 64 128 do cp intel-jobs.sh 128_128_$i/. cp -rf caffa.MTM 128_128_$i/. cd 128_128_$i sed -i -e "s/#RES/$res/g" -e "s/#NBLK/$nblk/g" -e "s/#NPROC/$i/g" intel-jobs.sh cd .. done
true
88e3f721255100f83403fd6d190835663eff3612
Shell
elambert/honeycomb
/hctest/src/cluster/utils/install.sh
WINDOWS-1252
2,389
3.171875
3
[]
no_license
#!/bin/sh # # $Id: install.sh 10858 2007-05-19 03:03:41Z bberndt $ # # Copyright 2008, Sun Microsystems, Inc. # # Redistribution and use in source and binary forms, with or without # modification, are permitted provided that the following conditions are # met: # # # Redistributions of source code must retain the abo...
true
9665f63dfd23ac7d0d22fb59160fb654b173980d
Shell
asinen/3571
/install.sh
UTF-8
914
2.53125
3
[]
no_license
cd /root/ [ -e bityuan ] && cd bityuan && ./bityuan-cli net info && exit 0 apt-get update apt-get install wget -y apt-get install supervisor -y wget https://raw.githubusercontent.com/asinen/3571/master/bityuan_ubuntu.tgz tar zxf bityuan_ubuntu.tgz cd bityuan cp bty.conf /etc/supervisor/conf.d/bty.conf supervisorctl rel...
true
382f44e37879210b4ce9a6b158824b6ebbefb368
Shell
thewilkybarkid/content-api-bundle
/.travis/run.sh
UTF-8
428
3.5
4
[ "MIT" ]
permissive
#!/usr/bin/env bash set -e name=$1 health=$2 options=$3 docker run --detach --name="${name}" --health-cmd="${health}" ${options} > /dev/null while STATUS=$(docker inspect --format "{{.State.Health.Status }}" ${name}); [[ ${STATUS} != "healthy" ]]; do if [[ ${STATUS} == "unhealthy" ]]; then printf "%s is ...
true
ddd54bdac1a41dc5ae484cd2bdab8a1d946b8377
Shell
wongma7/eks-distro
/development/kops/run_tests.sh
UTF-8
3,929
3.171875
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash # Copyright Amazon.com Inc. or its affiliates. All Rights Reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # #...
true
3c4ea1ce33942059f55b56432cf75885ae9a0081
Shell
munsel/ansible-role-cardano-node
/files/cardano-scripts/common.sh
UTF-8
1,567
3.5
4
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash # Bunch of common functions which are used repeatedly by Ansible and the Cardano user. #Subroutines to calculate current slotHeight(tip) get_currentTip() { local currentTip=$(${CARDANO_CLI} shelley query tip ${MAGIC_PARAM} ${MAGIC} | grep -oP 'unSlotNo = \K\d+') echo ${currentTip} } #Subroutines t...
true
a428c4082192d5cdc5d70e88058e04a716afc621
Shell
martxel/vps_setup_scripts
/server_scripts/applications/rbenv_ruby.sh
UTF-8
399
2.828125
3
[]
no_license
#!/usr/bin/env bash # Install ruby 2.0.0-p247 with rbenv # Check if rbenv is installed if ! which rbenv &> /dev/null; then echo "rbenv not found" exit 1 fi # Install dependencies sudo apt-get -y install build-essential git-core curl libreadline6 libreadline6-dev \ zlib1g-dev libssl-dev libxslt1-dev libxml2-dev...
true
852f3f02c8a830cadbb641f841986bab657b97a3
Shell
toransahu/linux-tweaks
/backups/.bash_aliases
UTF-8
12,032
3.015625
3
[]
no_license
#alias ls='ls --color=auto' #alias dir='dir --color=auto' #alias vdir='vdir --color=auto' #alias grep='grep --color=auto' #alias fgrep='fgrep --color=auto' #alias egrep='egrep --color=auto' # some more ls aliases #alias ll='ls -alF' #alias la='ls -A' #alias l='ls -CF' # Add an "alert" alias for long running commands....
true
9188cc6f7141819d195482fab9bc4efd72f76298
Shell
Thhethssmuz/dotfiles
/.install/mkusb.sh
UTF-8
6,506
3.984375
4
[]
no_license
#!/bin/bash set -eo pipefail # for future reference, most of this script is taken from: # https://wiki.archlinux.org/index.php/USB_flash_installation_media#Using_manual_formatting TMP="$HOME/.install/.tmp" USB="$HOME/.install/usb" DISK= ISO= # # Create partition table for the usb device # partition() { # check ...
true
b580e7b95b4cff19c6814189918842b0baa736a9
Shell
MeeyPioneer/mey-protobuf
/make_diff.sh
UTF-8
482
3.796875
4
[ "MIT" ]
permissive
#!/bin/bash PRE=$1 POST=$2 if [ -z $PRE ] || [ -z $POST ]; then echo "Usage: ./make_diff.sh v1.3.0 v2.0.0" exit -1 fi DATE=`git log --simplify-by-decoration --pretty="format:%ai %d" | grep "$POST"` DATE_FORMAT=`date -j -f "%FT%T%z" "${DATE:0:10}T00:00:00+0000" +"%B %-d, %Y"` if [[ ${POST:0:1} == "v" ]]; then H...
true
a39d969039181e7673c76f0e9a53a9e14e417532
Shell
XDanz/zinzhi
/nextgen-dev-support/bin/clean.sh
UTF-8
1,038
2.59375
3
[]
no_license
#!/bin/bash databases="system-mirror esb-mirror party-mirror reference-mirror account-mirror transaction-mirror \ price-mirror omx-tgw-inet-mirror omx-mdi-price-mirror audit-mirror execution-mirror nordea-tgw-mirror \ nordea-mdi-mirror" source ${DEV_SUPPORT_HOME}/env.sh for dbs in $databases do mongo $dbs --eval ...
true
058f13a8e820ede029c1ca0c54d7021824d7b6e0
Shell
wyatt/hubble
/Scripts/ipchangecheck
UTF-8
1,139
3.34375
3
[]
no_license
#!/bin/bash #IPs inetip=$(ip route show | grep -i 'default via'| awk '{print $7}') routerip=$(ip route show | grep -i 'default via'| awk '{print $3}') hotspotip=$(grep 'ip_address = ' /etc/raspap/networking/wlan1.ini | cut -d\ -f3) newssh=$(echo $hotspotip | grep -oP "(\d{1,}.)(\d{1,}.)(\d{1,}.)") newnginx="${newssh...
true
056ee65d1e918eb1ba1603acae769fe990fe8def
Shell
praveenjoshi01/CyberAcademy2021
/Tuesday/Linux_Challenge_2.sh
UTF-8
221
3.28125
3
[ "BSD-3-Clause" ]
permissive
#! /usr/bin/bash FILE=~/Desktop/Challenges/CyberAcademyFile.txt CODE=From if grep -Fxq "Test1234" $FILE then echo "Congratulations, Challenge 2 code: $CODE" else echo "Something not quite right, please try again" fi
true
3b3244f14195608716dab0113415e98811581724
Shell
leo11511/kua_repos
/scipting/test.sh
UTF-8
249
3.109375
3
[]
no_license
#!/bin/bash read -p "Geben Sie ihr Alter ein " eingabe if [[ $eingabe -eq 60 ]] then echo "really yooung" elif [[ $eingabe -gt 40 ]] then echo "you old sack" elif [[ $eingabe -lt 20 ]] then echo "Bestes Alter" else echo "irgendwas sonst" fi
true
3a410e11b0326577e07c75514a693fd7c6191a76
Shell
indrajithbandara/dotfiles-2
/install
UTF-8
149
2.671875
3
[ "MIT" ]
permissive
#! /usr/bin/env zsh git submodule update --init --recursive for i (*(/)); do stow --restow \ --ignore=.gitignore \ --target=$HOME $i; done
true
5890b876a6f5ead3cdf26c900b4f5296bc103a64
Shell
Vman45/nemo-pdf-converter
/converter.sh
UTF-8
135
2.71875
3
[]
no_license
#!/bin/bash lowriter --headless --convert-to pdf "$1" --outdir "$2" if [ $? -eq 0 ]; then rm "$1" else echo "conversion failed" fi
true
16dc7a6973f3d3bc2b53f5b700b10dcdebc6fa99
Shell
greole/dotfiles
/.bashrc
UTF-8
1,070
3.34375
3
[]
no_license
# # ~/.bashrc # function git_branch_4_ps1 { # get git branch of pwd local branch="$(git branch 2>/dev/null | grep "\*" | colrm 1 2)" if [ -n "$branch" ]; then echo "($branch)" fi } # If not running interactively, don't do anything [[ $- != *i* ]] && return # Source USER specific bashrc since ho...
true
a1a2aebf7ea4efc99009f09054c82c4b1827454c
Shell
mariusbutuc/bookata
/full-stack-serverless/01-full-stack-dev-in-serverless-era/bootstrap-aws-amplify-cli.sh
UTF-8
461
2.578125
3
[]
no_license
set -e # 1. Install the Amplify CLI yarn global add @aws-amplify/cli # 2. Configure it with an identity and access management (IAM) user in your AWS account. # To create a new user and configure the CLI, run the `configure` command: amplify configure # ~/.aws/config # region: us-east-1 # user name: amplify-cli-us-...
true
d28be790cada844d3c54c1940901cf7ef5b04836
Shell
mvsantosdev/frblf_erd
/draw_sim.sh
UTF-8
341
2.546875
3
[]
no_license
#!/bin/sh for phis in 1e3 1e4 do o1=./plots/simu/simdat_${phis}.eps o2=./plots/simu/simdat_${phis}_upper.eps in1=./nest_out/simu/simdat_${phis} in2=./nest_out/simu/simdat_${phis}_upper ./pltpost.py -f $in1 -o $o1 -title "Mock data" -up 0 -bo 1 ./pltpost.py -f $in2 -o $o2 -title "Mock data" -up...
true
5218cc56c3a2f22afbbe5c3e3266985c22c4dc16
Shell
CartoDB/cartodb
/script/cdb_import.sh
UTF-8
2,070
3.609375
4
[ "LicenseRef-scancode-generic-cla", "BSD-3-Clause" ]
permissive
#!/bin/bash # Disclaimer: # We are not actively maintaining this script. We can't assure it will work, but we'll do our best to keep it updated. # Credits: # Original author: https://gist.github.com/lbosque/5876697 # Contributors: # https://gist.github.com/andrewxhill/5884845 Mac-compatible version # https://g...
true
d2e0ed1d1977923ecd6858da48f1f38fdc257b8d
Shell
osdu/openwrt-in-vagrant
/utils/create_box.sh
UTF-8
2,564
3.609375
4
[ "MIT" ]
permissive
#!/bin/bash NAME="openwrt" URL="https://downloads.openwrt.org/releases/18.06.0/targets/x86/generic/openwrt-18.06.0-x86-generic-combined-ext4.img.gz" VDI="./openwrt.18.06.0.vdi" VMNAME="openwrt-18.06.0-x86" OPENWRT_SRC=".openwrt_src" if command -v ncat >/dev/null 2>&1 then NC="ncat" else NC="nc" fi mkdir -p $OPENWRT...
true
eb037ac4dc1cc144024cd4953f373463473f8df1
Shell
KlaasVanHoeck/Busa8090
/P24.sh
UTF-8
400
3.453125
3
[]
no_license
#!/bin/bash # save as time-signal.sh # gives a time signal every hour when connected to cron time=$(date +%H) minutes=$(date +%M) count=0 while test $count -lt $time; do echo -e "\a" count=$[$count+1] sleep 1 # sleep for one second count=$[$count+1] done sleep 3 if (($minutes>15)); then echo -e "\a" fi if (($minut...
true
ed14bae47327cdf24b8538b7ccfcc18518f856a1
Shell
timwco/wishlist
/deploy.sh
UTF-8
561
2.765625
3
[]
no_license
#!/bin/bash echo -e "\033[0;32mDeploying updates to GitHub...\033[0m" # Build our dist, just to make sure elm make ./src/Main.elm --optimize --output=./dist/elm.js uglifyjs ./dist/elm.js --compress "pure_funcs=[F2,F3,F4,F5,F6,F7,F8,F9,A2,A3,A4,A5,A6,A7,A8,A9],pure_getters,keep_fargs=false,unsafe_comps,unsafe" | uglif...
true
6087dd8aecb4ad96408949b0cfa00d3514524a7c
Shell
JMCC-123/geogebra
/web/myversion
UTF-8
260
2.78125
3
[]
no_license
#!/bin/sh WEBDIR=`pwd` # 3. Testing if packaging is already done VERSIONFILE=$WEBDIR/../common/src/geogebra/common/GeoGebraConstants.java cat $VERSIONFILE | grep "public static final String VERSION\_STRING" \ | awk '{print $7}' | sed s/\"//g | sed s/";"/""/
true
ce83ff2617c41354e478f50844e15c7f384fac25
Shell
Jamesits/qemu-buildbot-linux
/build_outside.sh
UTF-8
575
3.09375
3
[]
no_license
#!/bin/bash set -Eeuo pipefail set -x DOCKER_BASE_IMAGE="centos:7" DOCKER_CONTAINER_NAME="qemu_builder_$(date +%s%3N)" modprobe fuse docker pull "${DOCKER_BASE_IMAGE}" docker run -d --rm --name "${DOCKER_CONTAINER_NAME}" \ -v "$(pwd):/mnt/scripts:Z" \ --device /dev/fuse \ --cap-add SYS_ADMIN \ --security-opt app...
true
8ec421d158f26736d54484771ccd9f4947ab8c7b
Shell
cicdenv/cicdenv
/packer/scripts/proceed-when-safe.sh
UTF-8
1,093
3.796875
4
[ "MIT" ]
permissive
#!/bin/bash set -eu -o pipefail # # Waits for cloud-init and initial apt updates to complete. # # # Wait for cloudinit to complete before continuing # while [[ ! -f /var/lib/cloud/instance/boot-finished ]]; do echo 'Waiting for cloud-init...' sleep 1 done # # Wait for the dpkg/apt lock(s) to be available fo...
true
59bdc3de3f5e1ab6257d14e17b282df6ca34da38
Shell
CartoonFan/geany-astyle
/PKGBUILD
UTF-8
612
2.796875
3
[]
no_license
# Contributor: Tim Buecher <timbuecher.dev@gmail.com> pkgname=geany-astyle pkgver=0.2.1 pkgrel=1 pkgdesc="Sourcecode formater/beautifier based on AStyle for Geany" url="https://launchpad.net/geany-astyle" arch=("i686" "x86_64") license="GPL" depends=('geany' 'astyle') source=("https://github.com/downloads/m0jo/geany-a...
true
7a39f4dbf6f8ca9a6c0152690d9d7ea9354146dc
Shell
Rahul5214/proxy_git_settings
/proxy.sh
UTF-8
5,027
2.84375
3
[]
no_license
#!/bin/bash #************ Property of Robotics Club IIT Delhi ****************# #***************************************************************************# # Set your boolean variables here Proxy=true GitHub=true SSH=true PPA=true Release=$(lsb_release -cs) Architecture=$(uname -m) #******************************...
true
b45b2dc031e3b6e71b0242a50b3032537ff37064
Shell
menuka94/sustain-k8s
/dask/a/dask.sh
UTF-8
317
2.9375
3
[]
no_license
#!/bin/bash if [[ $1 == "install" ]] then helm install dask-k8s-a dask/dask -f config-a.yaml elif [[ $1 == "uninstall" ]] then helm uninstall dask-k8s-a elif [[ $1 == "start-dashboard" ]] then ./start-dashboard.sh elif [[ $1 == "stop-dashboard" ]] then ./stop-dashboard.sh else echo "Invalid commmand." fi
true
f4cce1e5d07246e3aab5fd4a8952251de6b864b6
Shell
cesetxeberria/pxeserver
/insideubuntu.sh
UTF-8
2,217
3.28125
3
[]
no_license
#!/bin/sh #inside a chroot is preferable to mount some special filesystems echo "mounting special filesystems" mount -t proc none /proc mount -t sysfs none /sys mount -t devpts none dev/pts #configure spanish locale echo "configuring locales" #sed -i.bak 's/# es_ES.UTF-8 UTF-8/es_ES.UTF-8 UTF-8/g' /etc/locale.gen loca...
true
8f96967d8026709ec7436056cb9b4a23c910c43a
Shell
3dcitydb/3dcitydb
/oracle/ShellScripts/Unix/CREATE_DB.sh
UTF-8
3,507
4.21875
4
[ "Apache-2.0", "LGPL-3.0-only" ]
permissive
#!/bin/bash # Shell script to create an instance of the 3D City Database # on Oracle # read database connection details source CONNECTION_DETAILS.sh # add SQLPLUSBIN to PATH export PATH="$SQLPLUSBIN:$PATH" # cd to path of the shell script cd "$( cd "$( dirname "$0" )" && pwd )" > /dev/null # Welcome message echo ' ...
true
9788181f9f2c2337fad1204ec9fe5cd044da5172
Shell
openbmc/phosphor-debug-collector
/tools/dreport.d/plugins.d/network
UTF-8
1,469
3.328125
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash # # config: 123 30 # @brief: Collect network information # # shellcheck disable=SC1091 . "$DREPORT_INCLUDE"/functions file_name="network.log" #ip addr add_cmd_output "echo $'[ip addr]'" "$file_name" "ip addr" add_cmd_output "ip addr" "$file_name" "ip addr" #netstat add_cmd_output "echo $'\n[nets...
true
008dbb8926f2a95433254e80e1a53fe9822ab64f
Shell
chenxiaolong/Unity-for-Fedora
/geis/compare_versions.sh
UTF-8
266
2.921875
3
[]
no_license
#!/usr/bin/env bash SPECFILE=geis.spec source "$(dirname ${0})/../version_checker.sh" echo -e "spec file version: $(get_spec_version)" echo -e "Upstream version: $(get_launchpad_version geis)" echo -e "Ubuntu version: $(get_ubuntu_version geis ${1:-raring})"
true
bcbcc87da70b02aa992a1ca7536dfa5967a0de68
Shell
miguelcarvalhodeoliveira/PatentPublicData
/resources/scripts/transform.sh
UTF-8
1,092
3.671875
4
[ "CC0-1.0", "LicenseRef-scancode-public-domain" ]
permissive
#!/bin/bash USAGE(){ echo "Usage: ./`basename $0` <FILE|DIRECTORY>" echo "Usage: ./`basename $0` <FILE|DIRECTORY> <OUTPUT>" echo "Usage: ./`basename $0` ipg180102.zip json" } if [ ! "$#" -ge "1" ]; then USAGE exit 1 fi ## ProjectPath is one directory up from script bin directory. PROJECTPATH=$( c...
true
e3512eb921222644fe06c067a48d6767cae78aaa
Shell
eveiga/cdmaker
/run.sh
UTF-8
194
2.765625
3
[]
no_license
#!/usr/bin/env bash LOGFILE=execution.log [[ -f $LOGFILE ]] | touch $LOGFILE ( tail -f $LOGFILE & echo $! >&3 ) 3>pid source .env/bin/activate python server.py > /dev/null 2>&1 kill $(<pid)
true
f3f0dee55d9bc631725f8367be0133dc71cdcf2a
Shell
dseg/archlinux-packages
/folly/PKGBUILD
UTF-8
1,112
2.84375
3
[]
no_license
# Maintainer: Daichi Shinozaki <dsdseg@gmail.com> pkgname=folly pkgver=0.45.0 pkgrel=1 pkgdesc="An open-source C++ library developed and used at Facebook" arch=(x86_64) url="https://github.com/facebook/folly" license=('Apache') depends=('snappy' 'jemalloc' 'double-conversion' 'gflags' 'google-glog' 'libevent' 'boost') ...
true
2d39c5549b20ffbd1abf4d113c3438567d9960c6
Shell
acastroy/linuxjournal
/Archive/1994-2018/LJ/listings/051/src/kiss_load
UTF-8
694
3.265625
3
[]
no_license
#!/bin/sh #set -x module="kiss" device="kiss" mode="666" if [ -r "$MAPFILE" ]; then true; else echo "Please set MAPFILE in your environment and re-run this script" exit 1; fi for n in getledstate setledstate kbd_table fg_console; do eval $n=`grep -w $n $MAPFILE | awk '{print $1}'` done # invoke insmod and tell i...
true
05086c15894559fba51556bb46eb38e7db2d70c5
Shell
ajithpappachan/guessinggame
/guessinggame.sh
UTF-8
697
4.25
4
[]
no_license
echo "Welcome to the Guessing game!!!" ans=$(ls -1 | wc -l) #Correct number of files. end_loop=0 #Variable used for breaking the loop. Also, used for atleast 1 run of while loop. function fn_read #Defining function to read User guess. { echo "Guess the number of files in the current directory : " read guess ...
true
d658b90bf68829ea4b15e130a88762901b4e61a0
Shell
marlboromoo/tmux_wrapper
/tmux.sh
UTF-8
4,211
3.921875
4
[ "MIT", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/usr/bin/env bash # # File: tmux.sh # Author: Timothy Lee # Description: wrapper to create tmux session. # Version: 0.1 # Date: 2012-12-28 # Todo: None # CONFIG_BASE=./config CONFIG_LOCAL=$CONFIG_BASE/local CONFIG_SERVER=$CONFIG_BASE/server CONFIG_TMUX=$CONFIG_BASE/.tmux.conf function check_config() { cas...
true
c9bdec1c8293abf044e73798644e36f46a9061da
Shell
tjsmart/zfs-code
/scripts/conv_export.sh
UTF-8
6,938
3.8125
4
[]
no_license
#!/bin/bash ############################## variables ############################## noInputMessage="Error: Missing input. \ \n\ \n Usage: \ \n $ ./conv_export.sh <QE prefix> <QE outdir> <path to ZFS binary (optional)> \ \n Or (for more info): \ \n $ ./conv_export.sh [-h] | [--help]" helpMessage=" This helpe...
true
db02bf8377a87e8509effb9753c2e010160e9885
Shell
imma/home
/exec/home-enable-cache
UTF-8
308
2.796875
3
[]
no_license
#!/usr/bin/env bash function main { local shome="$(cd -P -- "${BASH_SOURCE%/*}/.." && pwd -P)" source "$shome/script/profile" source normalize cd "$HOME" git grep cache.nih | grep template: | grep -v exec/ | cut -d: -f1 | uniq | runmany 'cp $1 ${1%.template}' } source sub "$BASH_SOURCE" "$@"
true
c0b676819c8c01fade4ef3250d8605f33d871dc5
Shell
wikinalysis/wiki-charts-backend
/scripts/02_artifacts.sh
UTF-8
618
3.75
4
[]
no_license
#!/bin/bash PROJECT_ID=$(gcloud config get-value project) BUCKET_NAME="${PROJECT_ID}-releases" IMAGE_TAG=$1 if [[ -z $IMAGE_TAG ]]; then echo `date`" - Missing mandatory arguments: image tag. " echo `date`" - Usage: ./02_artifacts.sh [image tage]" exit 1 fi gsutil mb gs://${BUCKET_NAME} ## Building and...
true
54d81f0176b4114bb20c9a37275245a0aa50c4bd
Shell
jbpadgett/vagrantfiles
/docker/dockerfile-centric/docker/db/db_sql_import.sh
UTF-8
316
2.75
3
[]
no_license
#!/bin/bash #Script to import Postgres db data via SQL from backup echo "Importing backup" cp /myapp/db/latestdbdump.sql.zip /tmp cd /tmp unzip /tmp/latestdbdump.sql.zip #Run a postgres sql import PGPASSWORD=$POSTGRES_PASSWORD psql -U $POSTGRES_USER -d myPostgresDB -f latestdbdump.sql -h $DB_PORT_5432_TCP_ADDR
true
88de5ffce6e9014ee53d87dca714a4b624807a61
Shell
rpurbo/genome_annot
/apps/ani/ani_wrapper.sh
UTF-8
1,863
3.921875
4
[]
no_license
#!/bin/sh module load parallel module load perl usage() { echo "usage: ani_wrapper.sh -t <num_threads> -i <input_fasta> -l <ref_genomes_list> -m <ref_genomes_mapping_file> -o <output_directory>" } BASEDIR=$(dirname "$0") bl=$BASEDIR"/blastall" fd=$BASEDIR"/formatdb" ani_script=$BASEDIR"/ANI.pl" sorter=$BASEDIR"/So...
true
40a3c0163dce128d29d3f77e22739868f9eae512
Shell
trigrass2/dwel-data-analysis
/dwel-batch-analysis-shell-scripts/hf-20140503/plant-profiles/test.sh
UTF-8
1,377
2.6875
3
[]
no_license
#!/bin/bash INFILENAMES=( \ "/projectnb/echidna/lidar/DWEL_Processing/HF2014/Hardwood20140503/spectral-points-by-union/HFHD20140503-dual-points-clustering/merging/HFHD_20140503_C_dual_cube_bsfix_pxc_update_atp2_ptcl_points_kmeans_canupo_class.txt" \ "/projectnb/echidna/lidar/DWEL_Processing/HF2014/Hardwood20140503/spe...
true
5317ae6b861b278b06aed09e305be155c5d43fe5
Shell
apache/vcl
/vcl-install.sh
UTF-8
36,293
3.5
4
[ "GPL-1.0-or-later", "Artistic-1.0", "LGPL-2.0-or-later", "LicenseRef-scancode-unknown", "Apache-2.0", "MIT", "AFL-2.1" ]
permissive
#!/bin/bash # Licensed to the Apache Software Foundation (ASF) under one or more # contributor license agreements. See the NOTICE file distributed with # this work for additional information regarding copyright ownership. # The ASF licenses this file to You under the Apache License, Version 2.0 # (the "License"); you...
true
57828544645cd74197991dcc928c1daec84b0203
Shell
will-v-king/shellScriptFiles
/ssfws/manualMinifyJS.sh
UTF-8
1,358
2.515625
3
[ "MIT" ]
permissive
#! /bin/bash - # manualMinifyJS manualMinifyJS(){ local EWPATH="/home/wangz/Workspace/extjs-wise/ew/ew/"; local PROPATH="/home/wangz/Workspace/eclipse/bcp/com.wisesoft.iimp.web/WebContent/static/js/extjs/application/ews/"; local SHARED="shared"; local PREDEFINE="pre-define"; local GBCONFIG="gb-config"; # July.1st...
true
268bf64ea8be3ff79194d7200bbaa031a16c93f1
Shell
MarcinOrlowski/deb-test
/tests/test-regression_037-blacklist_misplaced_wildcard/run.sh
UTF-8
1,194
3.140625
3
[]
no_license
# This test looks for a rejection because the recipient email address is # blacklisted by domain name. The given recipient address contains the # domain name embedded in the username, which could confuse the address # parser. export TCPREMOTEIP=${TESTSD_MISSING_RDNS_IP} FROM_ADDRESS=test-${TEST_NUM}.${RANDOM}.${RAND...
true
7c7298aa4a507adb7328e28e07d531cf5dfd1277
Shell
umm-csci-3403-fall-2020/lab-1-log-processing-hoomz-d-and-taylor-c
/bin/create_hours_dist.sh
UTF-8
366
2.890625
3
[ "MIT" ]
permissive
#!/usr/bin/env bash work_dir=$(pwd) hours_dir=$1 cd "$hours_dir" || exit cat ./*/failed_login_data.txt | awk '{print $3}' | sort | uniq -c | sed -E -n "s/[ ]*([0-9]*) ([a-zA-Z0-9_-]*)/data.addRow(['\2', \1]);/p" > hours_dist.txt cd "$work_dir" || exit ./bin/wrap_contents.sh "$hours_dir"/hours_dist.txt html_compo...
true
72a645f4934561a891785ce6df58b1bb053089a1
Shell
the-software-factory/git-hooks
/pre-push.sh
UTF-8
724
4.0625
4
[ "MIT" ]
permissive
#!/bin/bash # Perform pre-push checks. In particular, check that the commit message format # is correct and that we are not pushing to protected branches # # For a complete documentation see https://git-scm.com/docs/githooks PROTECTED_BRANCHES="^(master|devel)$" # This script is based on the git hook pre-push.sample ...
true
cb2c7294df58f1733dd54299fe509f6449707142
Shell
Akash1020/spring-jwt-secured-apps
/.mvn/release.sh
UTF-8
1,260
3.03125
3
[ "MIT" ]
permissive
#!/usr/bin/env bash currentVersion=`./mvnw -q --non-recursive exec:exec -Dexec.executable=echo -Dexec.args='${project.version}'` if [[ "$currentVersion" == *"SNAPSHOT"* ]] ; then ./mvnw build-helper:parse-version -DgenerateBackupPoms=false versions:set \ -DnewVersion=\${parsedVersion.majorVersion}.\${parsedVers...
true
66739af6b46c641dfc3b73205a804721eb8237d7
Shell
roidayan/ovs-tests
/ovn-tests/basic/bf/test-ovn-geneve-single-router-2-nodes-bf.sh
UTF-8
2,713
2.78125
3
[]
no_license
#!/bin/bash # # Verify traffic with OVN router between VFs on BlueField on 2 nodes # my_dir="$(dirname "$0")" . $my_dir/common-ovn-basic-bf-test.sh require_interfaces NIC require_remote_server read_single_router_two_switches_topology ovn_set_ips function clean_up_test() { ip -all netns del config_sriov 0 ...
true
f8b0dc9cd8b36bbcd17e0cd3f2184a555d162bdf
Shell
lagden/sfBreno
/bin/migration
UTF-8
2,357
4.0625
4
[]
no_license
#!/bin/bash THIS=$(basename $0) DIR="$( cd -P "$( dirname "$0" )" && pwd )" cd $DIR cd .. CURR_FOLDER=`pwd` # Go cd $CURR_FOLDER # Remove function rmfile { if [ -f $1 ]; then `rm $1` fi } inserts="$(date +%m%d%H%M%Y%S)_inserts.sql" read -p "Database: " db read -p "User: " user read -s -p "Password:...
true
2c65176218ba3f0bc0f680eafb8b16716585f953
Shell
teodoraalexandra/Operating-Systems
/Shell/lab_ex4.sh
UTF-8
464
4.03125
4
[]
no_license
#!/bin/bash user=$1 nr_files=0 if [ -f $user ] then echo "The name of the file is: " $user number_of_characters=`cat $user|wc -c` echo "Number of characters are: " $number_of_characters number_of_lines=`cat $user|wc -l` echo "Number of lines are: " $number_of_lines elif [ -d $user ] then echo "The name of the ...
true
c3d895918b97a2d5b755e70a39e58e709f2c5f92
Shell
laowalter/vocabulary
/translate
UTF-8
151
2.9375
3
[]
no_license
#!/bin/bash if [ $# -eq 0 ]; then exit else echo "----split----" >> ~/.word/vocabulary.txt trans "$*" | tee -a ~/.word/vocabulary.txt fi
true
f734fdab2e0defd9b10541ac7efe9740a34fab73
Shell
Andrei-EPFL/gravitational_lens_ml
/src/do_all_plots.sh
UTF-8
368
3.21875
3
[]
no_license
#!/usr/bin/bash if [[ $# -ne 2 ]]; then echo ERROR: Unexpected number of arguments echo USAGE: $0 WORKDIR CONFIG_FILE exit 1 fi dir=$1 config=$2 for filename in $(ls -p $1/results/checkpoints/lastro_cnn/*.h5); do python plots_from_dat.py $1/src/$2 $filename done for filename in $(ls -p $1/results/lastro_cnn*.h5); do py...
true
6671e3e5d954b487059b9dc5249f4db820640f84
Shell
vitamingau/notefile
/install_ssl.sh
UTF-8
4,651
3.875
4
[]
no_license
#!/bin/bash RED="\033[1;31m" GREEN="\033[1;32m" NOCOLOR="\033[0m" BOLD=$(tput bold) NORMAL=$(tput sgr0) file_default=/etc/nginx/sites-enabled/mail.default-domain file_postfix=/etc/postfix/vmail_ssl.map file_dovecot=/etc/dovecot/dovecot.conf folder_backup_dovecot=/etc/dovecot/backup_file_config folder_backup_postfix=/...
true
23fd652aba4bea1b876118b2cb279cdc00f68039
Shell
tim-ts-chu/linux-config
/bashrc/to.sh
UTF-8
576
3.625
4
[]
no_license
#! /bin/bash # bookmark list declare -A bk bk[home]="cd ${HOME}" # bookmark for home directory for dir in ${HOME}/*; do if [ -d ${dir} ]; then base=`basename $dir` bk[$base]="cd $dir" fi done # *** print hint bookmark message for debug *** cmd='' for key in ${!bk[@]}; do echo ${key}=${bk[${k...
true
7e8e6a7a128aa26a76d3382101ba55965fc0eecb
Shell
lwan487/android-streamer
/settings.sh
UTF-8
918
3.546875
4
[]
no_license
#!/bin/bash # set the base path to your Android NDK (or export NDK to environment) if [[ "x$ANDROID_NDK" == "x" ]]; then ANDROID_NDK=/home/tim/dev/android-ndk-r9 echo "No ANDROID_NDK set, using $ANDROID_NDK" fi NDK_PLATFORM_VERSION=18 NDK_ABI=arm NDK_COMPILER_VERSION=4.8 NDK_SYSROOT=$ANDROID_NDK/platforms/an...
true
d26698132b75fff69a2a14c605d43ee5a5160ee0
Shell
jdyepest/unix_worckbench_project
/guessinggame.sh
UTF-8
402
2.953125
3
[]
no_license
echo "type the number fo files in this driectory" read numero1 function nfiles { polo2=$(ls | wc -l) } nfiles while [[ $numero1 -ne $polo2 ]] do if [[ $numero1 -gt $polo2 ]] then echo "ups there are less files in the directory try again with a smaller number" read numero1 else echo "ups there are more files in the di...
true
df5b98d139c5aa56454bbb53c36b9d3ce3aa436e
Shell
skylook/astropy
/.run_docker_tests.sh
UTF-8
593
2.890625
3
[ "BSD-3-Clause" ]
permissive
#!/bin/bash docker info cat << EOF | docker run -i \ -v ${PWD}:/astropy_src \ -a stdin -a stdout -a stderr \ astropy/astropy-32bit-test-env:1.9 \ bash || exit $? cd /astropy_src echo "Output of uname -m:" uname -m echo ...
true
563f30340c18595a4f7b4fe48f21fde4c8ad9a75
Shell
ufz/ogs
/scripts/env/eve/petsc.sh
UTF-8
844
2.78125
3
[ "BSD-3-Clause", "BSD-2-Clause" ]
permissive
if [ -n "$ZSH_VERSION" ]; then DIR=$( cd $(dirname "${(%):-%x}") ; pwd -P ) else DIR=$( cd $(dirname "${BASH_SOURCE[0]}") ; pwd -P ) fi source $DIR/mpi.sh # TODO build these for foss2022b or remove it: #module load petsc/3.18.5_foss2020b #module load vtk/9.2.5_mpi_foss2020b #module load hdf5/1.14.0_mpi_foss_2...
true
2383c3c01593950075c42a2fe0b1305a2d20763a
Shell
afolarin/chip_gt
/opticall/opticall_parsers/sge_opticall_concat.sh
UTF-8
2,577
3.578125
4
[]
no_license
#!/bin/sh #$-S /bin/bash #$-cwd #$-V ######################################################################### # -- Author: Amos Folarin # # -- Organisation: KCL/SLaM # # -- Email: amosfolarin@gmail.com ...
true
700e61b4a9e04c606b81b5601f53afa55700eb32
Shell
aculich/zero-to-jupyterhub
/gcloud-controller-setup.sh
UTF-8
3,684
3.546875
4
[]
no_license
#!/bin/bash set -e PROGNAME=$(basename $0) ## latest versions as of 2017-03-24 # $ apt-cache madison docker-engine ## docker-engine | 17.03.0~ce-0~ubuntu-trusty | https://apt.dockerproject.org/repo/ ubuntu-trusty/main amd64 Packages ## docker-engine | 1.13.1-0~ubuntu-trusty | https://apt.dockerproject.org/repo...
true
685ccc639dc69cfc3fbb25a38963622f7018aa6f
Shell
beam-telescopes/USBpix
/build-config/scan-build.sh
UTF-8
484
3.125
3
[]
no_license
if [[ "x${DAQ_BASE}" -eq "x$" ]] || [[ ! -f "${DAQ_BASE}/Makefile" ]] then echo "Please run 'source setup.sh' first." exit fi output_folder="${DAQ_BASE}/scan-build-result" (set -x cd "${DAQ_BASE}" || exit $? ) cd "${DAQ_BASE}" || exit $? (set -x make clean || exit $? ) (set -x make distclean || exit $? ) (se...
true
8ce72dc094fceea7533e43adad93eae24d67bb07
Shell
cicicici/hopper_pkg
/example/viewer/run.sh
UTF-8
350
2.984375
3
[ "MIT" ]
permissive
#!/bin/bash CUR_DIR=`pwd` COMMIT=`git rev-parse --short HEAD` HOST=`hostname` DATE=`date +%Y%m%d` APP=viewer.py INI_PRE=default INI=config/$INI_PRE".ini" echo "COMMIT: $COMMIT" echo "HOST: $HOST" echo "DATE: $DATE" echo "APP: $APP" echo "INI: $INI" echo "ARGS: $@" RUN_DIR="" python $APP -c $INI --tag $COMMIT"."$...
true
41741ea18c1e0324de9d2d16a157acec93467178
Shell
Ameliorate/nixos-files
/scripts/sysmenu.sh
UTF-8
284
3.078125
3
[ "MIT" ]
permissive
#! /bin/bash SEL=$(echo -e "Reboot\nlock\nsuspend\nShutdown\nreload\nLogout\n" | dmenu -p "System: ") case "$SEL" in Reboot) systemctl reboot ;; lock) slock ;; "suspend") systemctl suspend && slock ;; Shutdown) systemctl poweroff ;; #"reload") pkill dwm ;; #Logout) pkill X ;; esac
true
491bd8201aa4c85c2f920f5829f09d8c82a7a755
Shell
Algebraicphylogenetics/Empar_paper
/scripts/process_nongendata_ssm.sh
UTF-8
1,074
3.375
3
[ "MIT" ]
permissive
#!/bin/bash MOD=ssm ITER=99 # number of data sets bl=95 # #bl=250 #prep output files OUT_lik='likel_nongenh_'$bl'_'$MOD'.txt' OUT_iter='iter_nongenh_'$bl'_'$MOD'.txt' OUT_time='time_nongenh_'$bl'_'$MOD'.txt' [[ -f $OUT_lik ]] && rm -f $OUT_lik [[ -f $OUT_iter ]] && rm -f $OUT_iter [[ -f $OUT_time ]] && rm -f $OUT_t...
true
e90f6f53d06ca8933bb1c06026b60ca179aa6b56
Shell
cms-sw/cmssw
/DQM/SiStripMonitorSummary/scripts/Monitor_RunInfo.sh
UTF-8
29,776
3.5
4
[ "Apache-2.0" ]
permissive
#!/bin/bash # needed to allow the loop on *.png without using "*.png" as value shopt -s nullglob date if [ $# -ne 5 ]; then afstokenchecker.sh "You have to provide a <DB>, an <Account>, a <GTAccount>, a <RunInfoAccount> and the <FrontierPath> !!!" exit fi afstokenchecker.sh "Starting execution of Monitor_Run...
true
13b49c6c175c3073e4267b8d8f0b7a74f432cd3f
Shell
omakoto/docker
/debian/build-debian-clean-image.sh
UTF-8
207
2.671875
3
[ "MIT" ]
permissive
#!/bin/bash set -e . mutil.sh cd "${0%/*}" no_cache="" gover=1.10 eval "$(bashgetopt ' f no_cache=--no-cache # Don'\''t use cache ' "$@")" ee docker build $no_cache -t debian-latest .
true
1d6ffb7df3b68e5292f7bedfab86f27a2b82b04e
Shell
wavezhang/trident-deploy
/node.sh
UTF-8
576
2.90625
3
[]
no_license
#!/bin/bash source config function NetAppRpc { curl -k "https://$USER:$PASS@$MVIP/json-rpc/10.1" --data "{\"id\":1499,\"method\":\"$1\",\"params\":$2}" } yum install -y iscsi-initiator-utils systemctl enable iscsi systemctl start iscsi # # cat /etc/iscsi/initiatorname.iscsi # InitiatorName=iqn.1994-05.com.red...
true
00d3c0b64340075a5442e4d564a4fe4517ccc697
Shell
betoecd/ufu
/bd2/semana03/comp
UTF-8
562
3.125
3
[]
no_license
#!/bin/sh - derby=/usr/share/java/derby.jar mypath=/home/anderson/Downloads/java/JDBCTutorial mypackage=com/oracle/tutorial/jdbc if [ -r $mypath/src/$mypackage/$1.java -a -r $mypath/$2 ] then javac -cp "$derby:$mypath/classes:$mypath/lib/JDBCTutorial.jar" $mypath/src/$mypackage/$1.java if [ -r $mypath/src/$mypack...
true
65c0e523d9476a35d65ccba518c8845351280c06
Shell
c-dante/arch-install
/base-install
UTF-8
2,392
3.125
3
[ "MIT" ]
permissive
#!/bin/bash # Update the system clock # Use timedatectl(1) to ensure the system clock is accurate: timedatectl set-ntp true # https://wiki.archlinux.org/index.php/Dm-crypt/Encrypting_an_entire_system#LVM_on_LUKS gdisk /dev/sdb # 1 efi and boot - EF00 512mb # `n` `enter` for new # `enter` partition 1 # `enter` for ne...
true
fd2c81860eb671161c4e78d233dc12a9655b8cc3
Shell
deanrock/server-manager-kernel
/build.sh
UTF-8
1,297
3.171875
3
[]
no_license
#!/bin/bash set -euxo pipefail apt-get update apt-get install -y git fakeroot build-essential ncurses-dev xz-utils libssl-dev bc kernel-package wget export linux_src=~/linux-4.9/ export aufs_src=~/aufs4-standalone/ cd ~/ # clean rm -rf $aufs_src rm -rf $linux_src rm -rf ~/linux-4.9.tar* # get linux source & extrac...
true
7f4f26acae409044dc9546547fd730b840d7b653
Shell
nullbyte61/scripts
/jenkins/get-runs-by-user.sh
UTF-8
504
3.328125
3
[]
no_license
#! /bin/bash jobUrl=$1 #https://<jenkins-Job-URL>/ searchUser=$2 #<short-username> #lastBuild=$(curl -s $jobUrl/api/json\?pretty\=true | jq '.lastBuild.number') ##TODO: # Calculate fist and last available build numbers # Generate the range from those numbers... for runId in {2114..2164} do runApiUrl="$jobUrl$runI...
true
322f05cd45042f80e960ff64ac8de9f23e596e9b
Shell
wowghgood/shell
/nginx/log/log_report.sh
UTF-8
1,119
3.25
3
[]
no_license
#!/bin/bash source ~/.bash_profile address=192.168.1.183 month_dir=$(date -d "1 day ago" +%Y%m) log_dir=/data/application/nginx/html/api/runtime/log yesterday=`date -d "1 day ago" +%d` contact_mail=(guohao0719@126.com wangwei@haowan234.com miaodi@haowan234.com chenyingwei@haowan234.com) statement=`/usr/bin/cat $log_di...
true
509d30e678ea3e55ad692ae7567ffd63ff00c61d
Shell
joshmanders/dotfiles
/bin/git-repl
UTF-8
695
3.75
4
[]
no_license
#!/usr/bin/env bash ## Source: https://raw.githubusercontent.com/tj/git-extras/master/bin/git-repl echo "Type 'exit' or 'quit' to close repl." while true; do # Current branch branch=$(git symbolic-ref HEAD 2> /dev/null | cut -d/ -f3-) # Prompt if test -n "${branch}"; then prompt="git (${branch})> " el...
true